Hi,

On 12.09.2016 07:37, Christian Fischer wrote:
> Hi,
> 
> On 09/09/2016 10:17 PM, Michael Kriwonos wrote:
>> I ran a yum update today on Oracle Linux 6 and suddently openvas-manager
>> will not start.
> 
> IIRC the best thing what you can do here is to report that to Atomic
> which are providing the packages. In this case someone already did that:
> 
> http://forums.atomicorp.com/viewtopic.php?f=31&t=8471

sorry, the initial assumption to report that to atomic was wrong.

It seems your system is running an outdated sqlite version not
supporting this "sqlite3_errstr". The OpenVAS manager was updated to use
sqlite3_errmsg instead of sqlite3_errstr to keep compatibility with
older libsqlite versions in the following commit:

https://lists.wald.intevation.org/pipermail/openvas-commits/2016-September/026276.html

For now you can do one of the following:

- Downgrade to openvas-manager 6.0.8
- Wait for the next release of openvas-manager
- Upgrade your operating system so it ships a recent version of libsqlite
- Build openvas-manager 6.0.9 from source and apply the change in the
link above manually

-- 

Christian Fischer | Greenbone Networks GmbH | http://greenbone.net
Neuer Graben 17, 49074 Osnabrück, Germany | AG Osnabrück, HR B 202460
Geschäftsführer: Lukas Grunwald, Dr. Jan-Oliver Wagner
_______________________________________________
Openvas-discuss mailing list
Openvas-discuss@wald.intevation.org
https://lists.wald.intevation.org/cgi-bin/mailman/listinfo/openvas-discuss

Reply via email to